!set title=Eurogestures : Qui fait quoi
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Csilla Ducrocq
email=csilla.ducrocq@u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=113
prevarcnt=112
postvarcnt=0
replycnt=14
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=eurogestures_quifaitquoi
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Après avoir lu le texte, dire qui fait quoi.

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=
val12=no
val13=eurogestures
val14=no
val15=no
val16=yes
val17=
val18=split
val19=1
val20=aucune de ces possibilités
val21=clickfill
val22=
val23=
val24=
val25=
val26=
val27=background-color: #99FFFF; margin: 2% 5%; padding: 2%;
val28=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 2%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=inside
val33=yes
val34=1
val35=
val36=
val37=
val38=---
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val39=$(tmp0)
tmp0=!recordcnt $val39

val40=$[rint($(tmp0))]
val41=1
val42=1
val43=3

!ifval $val21 iswordof case 
val44= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val45=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val46= noreaccent
!else
val46=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val47= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val39

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val39

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val39

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val39

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val48=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val39

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val49= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val39

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val50= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val39

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val51= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val39

val52= $(tmp0)
!else
val52=$val10
!endif
val53=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val42=$[rint(min($val40,$val42))]
val41=$[rint(min($val42*$val41,$val40))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val40

val54= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val40

val54=	$(tmp1)
!endif

!ifval $val20 issametext 
val20= aucune de ces possibilités
!endif
tmp0=!randrecord $val6

val55=$(tmp0)
tmp0=!embraced randitem $val55

val55=$(tmp0)
tmp0=!shuffle \cnt_qual

val56=$(tmp0)
val57=
tmp=!translate internal $	$ to ; in $val55

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val58=$(tmp0)
tmp0=!getopt audio in $val58

val59=$(tmp0)
tmp0=!getopt image in $val58

val60=$(tmp0)
tmp0=!getopt title in $val58

val61=$(tmp0)
tmp0=!getopt intro in $val58

val62=$(tmp0)

!ifval $val59$val60$val61$val62  notsametext 
val63= 1 
!else
val63= 0
!endif
val64=

!ifval $val61 notsametext 
val64=$val64<p align="center">$val61</p>
!endif

!ifval $val62 notsametext 
val64=$val64 $val62
!endif

!ifval $val60 notsametext 
val64= $val64 <p align="center"><img src=$val1/$val60></p>
!endif
!if $val59 notsametext  

!ifval . isin $val59 or $val37= 
!readproc slib/media/audio $val1/$val59,player=$val38 
tmp0=$slib_out
val65= 	       $(tmp0)
!else
!readproc slib/lang/swac $val59,$val37,player=$val38 
tmp1=$slib_out
val65=$(tmp1)
!endif
val64=$val64 <p align="center">$(val65[1;1])</p>
!endif

!ifval $val63=1  
val66= $val64
!else
val66=
!endif

!ifval $val63=1 
tmp0=!line 2 to -1 of $val55

tmp=!trim  $(tmp0)
val55=!translate internal $	\
$ to ;; in $tmp
!endif
val67=$(val55[1;])
tmp0=!text remove 1234567890 in $val67

val68=$(tmp0)
!if $val68 issametext  
val69=$[rint($val67+1)]
tmp0=!rows2lines $(val55[$val69+1..-1;])

val70=$(tmp0)
tmp=!trim $(val55[2..$val69;])
val55=!translate internal $	\
$ to ;; in $tmp
!else
val69=$[rint($(val55[2;])+2)]
val52=$(val55[1;])
tmp0=!rows2lines $(val55[$val69+1..-1;])

val70=$(tmp0)
tmp=!trim $(val55[3..$val69;])
val55=!translate internal $	\
$ to ;; in $tmp
!endif

!ifval $val57 notwordof 1 2 
tmp0=!randint 1, 2

val57=$[rint( $(tmp0))]
!endif
val71=$(val55[;1])

!ifval $val57=1
val71=$val71,$val20
!endif

!ifval $val57=1 
val72= $val52
!else
val72=$val71
!endif

!ifval $val57=2
val71=$val52
!else
val71=$val71
!endif
tmp0=!nonempty items $val71

val71=$(tmp0)
tmp0=!itemcnt $val71

val73=$(tmp0)

!ifval $val57=1
val74=$val73-1
!else
val74=$val73
!endif
tmp0=!itemcnt $val72

val75=$(tmp0)
tmp=!trim $(val55[;2..-1])
val76=!translate internal $	\
$ to ;; in $tmp
!if $val57=1 
tmp=!trim 
val77=!translate internal $	\
$ to ;; in $tmp
!for val78 = 1 to $val75 
val79=
!for val80  = 1 to  $val74 
!if $val78 isitemof $(val76[$val80;]) 
val79=$val79, $val80
!endif
!next
tmp0=!nonempty items $val79

val79=$(tmp0)

!ifval $val79 issametext 
val79= $val73
!endif
tmp=!trim $val77	  $val79
val77=!translate internal $	\
$ to ;; in $tmp
!next
!else
val77=$val76
!endif
tmp0=!makelist r x for x = 1 to $val75

val81=$(tmp0)
oefsteps=$val81 
nextstep=!nosubst $val81 
!readproc oef/steps.proc
replytype1=checkbox
replyname1=
replygood1=$(val77[1;]);$val71
replytype2=checkbox
replyname2=
replygood2=$(val77[2;]);$val71
replytype3=checkbox
replyname3=
replygood3=$(val77[3;]);$val71
replytype4=checkbox
replyname4=
replygood4=$(val77[4;]);$val71
replytype5=checkbox
replyname5=
replygood5=$(val77[5;]);$val71
replytype6=checkbox
replyname6=
replygood6=$(val77[6;]);$val71
replytype7=checkbox
replyname7=
replygood7=$(val77[7;]);$val71
replytype8=checkbox
replyname8=
replygood8=$(val77[8;]);$val71
replytype9=checkbox
replyname9=
replygood9=$(val77[9;]);$val71
replytype10=checkbox
replyname10=
replygood10=$(val77[10;]);$val71
replytype11=checkbox
replyname11=
replygood11=$(val77[11;]);$val71
replytype12=checkbox
replyname12=
replygood12=$(val77[12;]);$val71
replytype13=checkbox
replyname13=
replygood13=$(val77[13;]);$val71
replytype14=checkbox
replyname14=
replygood14=$(val77[14;]);$val71
question=__EXECUTED_1692754_EXERCISE__
help=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	$val53 $val8	$val66		 
!if $val70 notsametext  
$()	 <div class="question">$val70</div>	 
!endif
$()	   
!if $val48 notsametext  
$() 
!read oef/special.phtml help reading,reading 
$() 
!endif
$()	   
!if $val50 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val49$val51		<ol>	 
!for m_u = 1 to $val75 
$() 	<li> $(val72[$m_u]) : <ol>	  
!for m_v = 1 to $val73 
$()	 <li>	    
!read oef/embed.phtml reply \u , \v  
$()	</li>	   
!next
$()	   </ol>	  
!next
$()	 </ol>	 
$()
!exit

:hint
$()
$()
!exit

:help
$()$val47 
!if $m_help_subject issametext reading or	$m_help_subject issametext image	or  $m_help_subject issametext  
$()	$val48		$val50 
!endif
$()	
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,47,48,49,50,51,53,66,70,72,73,75
embedcnt=3
